### Constructor

# AppStreamCompose Image new_from_data

#### Declaration [src]

    AscImage*
    asc_image_new_from_data (
      void* data,
      gssize len,
      guint dest_size,
      gboolean compressed,
      AscImageLoadFlags flags,
      GError** error
    )

#### Description [src]

Creates a new `AscImage` from data in memory.

#### Parameters

`data`

  Type: `void*`

  Data to load.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`len`

  Type: `gssize`

  Length of the data to load.

`dest_size`

  Type: `guint`

  The size of the constructed pixbuf, or 0 for the native size.

`compressed`

  Type: `gboolean`

  `TRUE` if passed data is gzip-compressed.

`flags`

  Type: `AscImageLoadFlags`

  A `AscImageLoadFlags`, e.g. `ASC_IMAGE_LOAD_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AscImage`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.